diff --git a/contrib/pg_standby/pg_standby.c b/contrib/pg_standby/pg_standby.c
index d51f391..b1f23c3 100644
*** a/contrib/pg_standby/pg_standby.c
--- b/contrib/pg_standby/pg_standby.c
*************** CustomizableInitialize(void)
*** 169,175 ****
  	/*
  	 * This code assumes that archiveLocation is a directory You may wish to
  	 * add code to check for tape libraries, etc.. So, since it is a
! 	 * directory, we use stat to test if its accessible
  	 */
  	if (stat(archiveLocation, &stat_buf) != 0)
  	{
--- 169,175 ----
  	/*
  	 * This code assumes that archiveLocation is a directory You may wish to
  	 * add code to check for tape libraries, etc.. So, since it is a
! 	 * directory, we use stat to test if it's accessible
  	 */
  	if (stat(archiveLocation, &stat_buf) != 0)
  	{
*************** CustomizableNextWALFileReady()
*** 190,197 ****
  	if (stat(WALFilePath, &stat_buf) == 0)
  	{
  		/*
! 		 * If its a backup file, return immediately If its a regular file
! 		 * return only if its the right size already
  		 */
  		if (strlen(nextWALFileName) > 24 &&
  			strspn(nextWALFileName, "0123456789ABCDEF") == 24 &&
--- 190,197 ----
  	if (stat(WALFilePath, &stat_buf) == 0)
  	{
  		/*
! 		 * If it's a backup file, return immediately. If it's a regular file
! 		 * return only if it's the right size already.
  		 */
  		if (strlen(nextWALFileName) > 24 &&
  			strspn(nextWALFileName, "0123456789ABCDEF") == 24 &&
*************** CustomizableCleanupPriorWALFiles(void)
*** 250,256 ****
  		struct dirent *xlde;
  
  		/*
! 		 * Assume its OK to keep failing. The failure situation may change
  		 * over time, so we'd rather keep going on the main processing than
  		 * fail because we couldnt clean up yet.
  		 */
--- 250,256 ----
  		struct dirent *xlde;
  
  		/*
! 		 * Assume it's OK to keep failing. The failure situation may change
  		 * over time, so we'd rather keep going on the main processing than
  		 * fail because we couldnt clean up yet.
  		 */
